Skip Menu |
 

This queue is for tickets about the JSON-PP CPAN distribution.

Report information
The Basics
Id: 121399
Status: resolved
Priority: 0/
Queue: JSON-PP

People
Owner: Nobody in particular
Requestors: mphoeppner [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Version number not updating?
Date: Wed, 26 Apr 2017 15:23:43 +0200
To: bug-JSON-PP [...] rt.cpan.org
From: "Marc P. Hoeppner" <mphoeppner [...] gmail.com>
Download (untitled) / with headers
text/plain 1.3k
Dear JSON::PP developers, I have installed a fresh version of Perl 5.18.4 (named 5.18.5 below for other reasons...) on our cluster (shared environment with multiple Perl versions, activated via environment modules). When installing the latest version of JSON:PP (2.27400), I am getting the status messages quoted below from CPAN afterwards. I interpret this as the latest version being installed, but the version reported by Cpan (and in the actual pm file) is still the old one. Building JSON::PP reported "OK" and didn't throw any errors. Maybe you have some pointers on how to investigate this further? With kind regards, Marc Höppner cpan -D JSON::PP Reading '/ifs/data/nfs_share/ikmb_repository/software/perl/5.18.5/cpan/Metadata' Database was generated on Wed, 26 Apr 2017 07:29:02 GMT JSON::PP ------------------------------------------------------------------------- (no description) M/MA/MAKAMAKA/JSON-PP-2.27400.tar.gz /ifs/data/nfs_share/ikmb_repository/software/perl/5.18.5/lib/5.18.4/JSON/PP.pm Installed: 2.27202 CPAN: 2.27400 Not up to date Makamaka Hannyaharamitu (MAKAMAKA) makamaka@cpan.org From the actual file (/ifs/data/nfs_share/ikmb_repository/software/perl/5.18.5/lib/5.18.4/JSON/PP.pm) I also get: $JSON::PP::VERSION = '2.27202';
Subject: Re: Version number not updating?
Date: Wed, 26 Apr 2017 15:34:43 +0200
To: bug-JSON-PP [...] rt.cpan.org
From: "Marc P. Hoeppner" <mphoeppner [...] gmail.com>
Download (untitled) / with headers
text/plain 1.4k
nevermind... there was a problem with PERL5LIB. Looks all good now. Sorry Am 26.04.17 um 15:23 schrieb Marc P. Hoeppner: Show quoted text
> Dear JSON::PP developers, > > I have installed a fresh version of Perl 5.18.4 (named 5.18.5 below > for other reasons...) on our cluster (shared environment with multiple > Perl versions, activated via environment modules). > > When installing the latest version of JSON:PP (2.27400), I am getting > the status messages quoted below from CPAN afterwards. I interpret > this as the latest version being installed, but the version reported > by Cpan (and in the actual pm file) is still the old one. Building > JSON::PP reported "OK" and didn't throw any errors. Maybe you have > some pointers on how to investigate this further? > > With kind regards, > Marc Höppner > > cpan -D JSON::PP > Reading > '/ifs/data/nfs_share/ikmb_repository/software/perl/5.18.5/cpan/Metadata' > Database was generated on Wed, 26 Apr 2017 07:29:02 GMT > JSON::PP > ------------------------------------------------------------------------- > (no description) > M/MA/MAKAMAKA/JSON-PP-2.27400.tar.gz > /ifs/data/nfs_share/ikmb_repository/software/perl/5.18.5/lib/5.18.4/JSON/PP.pm > > Installed: 2.27202 > CPAN: 2.27400 Not up to date > Makamaka Hannyaharamitu (MAKAMAKA) > makamaka@cpan.org > > > From the actual file > (/ifs/data/nfs_share/ikmb_repository/software/perl/5.18.5/lib/5.18.4/JSON/PP.pm) > I also get: > > $JSON::PP::VERSION = '2.27202';
Closed (#121400)
Closed.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.